package com.foreverwin.mesnac.dispatch.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * ClassName: shopOrderRelease
 *
 * @author Leon
 *
 * Copyright (C) 2018-2019 上海昊声电子信息技术有限公司.
 *
 * All Rights Reserved
 *
 * http://www.foreverwin.com.cn
 *
 * Create Time: 2020/09/07
 */

public class ShopOrderRelease implements Serializable {

    private String handle;
    private String site;
    private String locale;
    private String shopOrderBo;
    private String shopOrder;
    private String resourceType;
    private String workCenter;
    private String item;
    private String itemDescription;
    private String qtyToBuild;
    private String wbs;
    private String itemNumber;
    private String category;
    private String productModel;
    private String status;
    private String comments;
    private Date plannedStartDate;
    private Date plannedCompDate;
    private Date dispatchCompleteDate;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startFromDate;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date startToDate;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date completeFromDate;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date completeToDate;

    public String getHandle() {
        return handle;
    }

    public void setHandle(String handle) {
        this.handle = handle;
    }

    public String getSite() {
        return site;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getLocale() {
        return locale;
    }

    public void setLocale(String locale) {
        this.locale = locale;
    }

    public String getShopOrderBo() {
        return shopOrderBo;
    }

    public void setShopOrderBo(String shopOrderBo) {
        this.shopOrderBo = shopOrderBo;
    }

    public String getShopOrder() {
        return shopOrder;
    }

    public void setShopOrder(String shopOrder) {
        this.shopOrder = shopOrder;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getWorkCenter() {
        return workCenter;
    }

    public void setWorkCenter(String workCenter) {
        this.workCenter = workCenter;
    }

    public String getItem() {
        return item;
    }

    public void setItem(String item) {
        this.item = item;
    }

    public String getItemDescription() {
        return itemDescription;
    }

    public void setItemDescription(String itemDescription) {
        this.itemDescription = itemDescription;
    }

    public String getQtyToBuild() {
        return qtyToBuild;
    }

    public void setQtyToBuild(String qtyToBuild) {
        this.qtyToBuild = qtyToBuild;
    }

    public String getWbs() {
        return wbs;
    }

    public void setWbs(String wbs) {
        this.wbs = wbs;
    }

    public String getItemNumber() {
        return itemNumber;
    }

    public void setItemNumber(String itemNumber) {
        this.itemNumber = itemNumber;
    }

    public String getCategory() {
        return category;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public String getProductModel() {
        return productModel;
    }

    public void setProductModel(String productModel) {
        this.productModel = productModel;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public Date getPlannedStartDate() {
        return plannedStartDate;
    }

    public void setPlannedStartDate(Date plannedStartDate) {
        this.plannedStartDate = plannedStartDate;
    }

    public Date getPlannedCompDate() {
        return plannedCompDate;
    }

    public void setPlannedCompDate(Date plannedCompDate) {
        this.plannedCompDate = plannedCompDate;
    }

    public Date getDispatchCompleteDate() {
        return dispatchCompleteDate;
    }

    public void setDispatchCompleteDate(Date dispatchCompleteDate) {
        this.dispatchCompleteDate = dispatchCompleteDate;
    }

    public Date getStartFromDate() {
        return startFromDate;
    }

    public void setStartFromDate(Date startFromDate) {
        this.startFromDate = startFromDate;
    }

    public Date getStartToDate() {
        return startToDate;
    }

    public void setStartToDate(Date startToDate) {
        this.startToDate = startToDate;
    }

    public Date getCompleteFromDate() {
        return completeFromDate;
    }

    public void setCompleteFromDate(Date completeFromDate) {
        this.completeFromDate = completeFromDate;
    }

    public Date getCompleteToDate() {
        return completeToDate;
    }

    public void setCompleteToDate(Date completeToDate) {
        this.completeToDate = completeToDate;
    }
}
