package com.foreverwin.mesnac.meapi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.WorkCenter;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
@Repository
public interface WorkCenterMapper extends BaseMapper<WorkCenter> {
    IPage workCenterlist(IPage page, @Param("site") String site, @Param("workCenter") String workCenter);
}