package com.foreverwin.mesnac.meapi.service.impl;

import com.foreverwin.modular.core.util.FrontPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.Resrce;
import com.foreverwin.mesnac.meapi.mapper.ResrceMapper;
import com.foreverwin.mesnac.meapi.service.ResrceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Leon.L
 * @since 2021-05-26
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class ResrceServiceImpl extends ServiceImpl<ResrceMapper, Resrce> implements ResrceService {


    @Autowired
    private ResrceMapper resrceMapper;

    @Override
    public IPage<Resrce> selectPage(FrontPage<Resrce> frontPage, Resrce resrce) {
        QueryWrapper<Resrce> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(resrce);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<Resrce> selectList(Resrce resrce) {
        QueryWrapper<Resrce> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(resrce);
        return super.list(queryWrapper);
    }


}